PHP Manual
Prev |  | Next

# SDO_Sequence::insert

(no version information, might be only in CVS)

SDO_Sequence::insert -- Insert into a sequence

## Description

void SDO_Sequence::insert ( mixed value [, int sequenceIndex [, mixed propertyIdentifier]] )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Insert a new element at a specified position in the sequence. All subsequent sequence items are moved up.

## Parameters

value

  The new value to be inserted. This can be either a primitive or an SDO_DataObject.

sequenceIndex

  The position at which to insert the new element. Default is NULL, which results in the new value being appended to the sequence.

propertyIdentifier

  Either a property index or property name, used to identify a property in the sequence's corresponding SDO_DataObject. A value of NULL signifies unstructured text.

## Return Values

None.

## Exceptions

SDO_IndexOutOfBoundsException

  Thrown if the sequence index is less than zero or greater than the size of the sequence.

SDO_InvalidConversionException

  Thrown if the type of the new value cannot be juggled to match the type for the specified data object property.

Prev | Home | Next
SDO_Sequence::getPropertyName | Up | SDO_Sequence::move